<app-inner-header></app-inner-header>

<form [formGroup]="employeeForm">
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="firstName">First name</label>
      <input type="text" class="form-control" formControlName="firstName" id="firstName" placeholder="First name"
        [class.is-invalid]="isValid('firstName')">
      <div class="invalid-feedback" *ngIf="isValid('firstName')">
        First name is invalid.
      </div>
    </div>
    <div class="form-group col-md-6">
      <label for="lastName">Last name</label>
      <input type="text" class="form-control" formControlName="lastName" id="lastName" placeholder="Last name"
        [class.is-invalid]="isValid('lastName')">
      <div class="invalid-feedback" *ngIf="isValid('lastName')">
        Last name is invalid.
      </div>
    </div>
  </div>
  <div class="form-group">
    <label for="pesel">PESEL</label>
    <input type="text" class="form-control" formControlName="pesel" id="pesel" placeholder="PESEL"
      [class.is-invalid]="isValid('pesel')">
    <div class="invalid-feedback" *ngIf="isValid('pesel')">
      PESEL is invalid.
    </div>
  </div>
  <!-- <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputEmail4">Email</label>
      <input type="email" class="form-control" id="inputEmail4" placeholder="Email">
    </div>
    <div class="form-group col-md-6">
      <label for="inputPassword4">Password</label>
      <input type="password" class="form-control" id="inputPassword4" placeholder="Password">
    </div>
  </div>
  <div class="form-group">
    <label for="inputAddress">Address</label>
    <input type="text" class="form-control" id="inputAddress" placeholder="1234 Main St">
  </div>
  <div class="form-group">
    <label for="inputAddress2">Address 2</label>
    <input type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor">
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="inputCity">City</label>
      <input type="text" class="form-control" id="inputCity">
    </div>
    <div class="form-group col-md-4">
      <label for="inputState">State</label>
      <select id="inputState" class="form-control">
        <option selected>Choose...</option>
        <option>...</option>
      </select>
    </div>
    <div class="form-group col-md-2">
      <label for="inputZip">Zip</label>
      <input type="text" class="form-control" id="inputZip">
    </div>
  </div>
  <div class="form-group">
    <div class="form-check">
      <input class="form-check-input" type="checkbox" id="gridCheck">
      <label class="form-check-label" for="gridCheck">
        Check me out
      </label>
    </div>
  </div> -->
  <div *ngIf="mode !== 'READ'" class="float-right">
    <button [disabled]="!employeeForm.valid" type="submit" class="btn btn-primary" (click)="save(employeeForm.value)">
      {{ mode === 'CREATE' ? 'Create' : 'Update' }}
    </button>
  </div>
</form>

<div class="mt-5">
  <p>Form value: {{ employeeForm.value | json }}</p>
  <p>Form valid: {{ employeeForm.valid }}</p>
  <p>Form PESEL errors: {{ employeeForm.controls['pesel'].errors | json }}</p>
  <p>Form dirty: {{ employeeForm.dirty }}</p>
  <p>Form touched: {{ employeeForm.touched }}</p>
</div>